---
title: XRSessionEventInit
slug: Web/API/XRSessionEventInit
tags:
  - API
  - AR
  - Configuration
  - Dictionary
  - Init
  - Mixed
  - Options
  - Reference
  - VR
  - Virtual
  - WebXR
  - WebXR API
  - WebXR Device API
  - XR
  - XRSessionEventInit
  - augmented
  - events
  - sessions
---
<p>{{APIRef("WebXR Device API")}}{{SecureContext_Header}}</p>

<p><span class="seoSummary">The <code><strong>XRSessionEventInit</strong></code> dictionary is used when calling the {{domxref("XRSessionEvent.XRSessionEvent", "XRSessionEvent()")}} constructor to provide the new event's initial values.</span> You're unlikely to need to create these events yourself, however, as they're created by the XR system.</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("XRSessionEventInit.session", "session")}}</dt>
 <dd>The {{domxref("XRSession")}} to which the event is to be delivered.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>&lt;tbd&gt;</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("WebXR", "#dictdef-xrsessioneventinit", "XRSessionEventInit")}}</td>
   <td>{{Spec2("WebXR")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>{{Compat("api.XRSessionEventInit")}}</div>
